/*
 * Copyright (c) 2001, Swedish Institute of Computer Science.
 * All rights reserved. 
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met: 
 *
 * 1. Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright 
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the distribution. 
 *
 * 3. Neither the name of the Institute nor the names of its contributors 
 *    may be used to endorse or promote products derived from this software 
 *    without specific prior written permission. 
 *
 * THIS SOFTWARE IS PROVIDED BY THE INSTITUTE AND CONTRIBUTORS ``AS IS'' AND 
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE INSTITUTE OR CONTRIBUTORS BE LIABLE 
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS 
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
 * SUCH DAMAGE. 
 *
 * This file is part of the lwIP TCP/IP stack.
 * 
 * Author: Adam Dunkels <adam@sics.se>
 *
 * $Id: killer.c,v 1.3 2001/02/22 13:01:00 adam Exp $
 */

#include "killer.h"
#include "lwip/tcp.h"

static int num;
static char getstr[] = "GET /img/sics.gif\r\n\r\n";
/*-----------------------------------------------------------------------------------*/
static void
recv_pbuf(void *arg, struct tcp_pcb *pcb, struct pbuf *p, int err)
{
  if(p != NULL) {
    tcp_recved(pcb, p->tot_len);
    pbuf_free(p);
  }
}
/*-----------------------------------------------------------------------------------*/
static void
connected(void *arg, struct tcp_pcb *pcb, int err)
{
  tcp_write(pcb, getstr, sizeof(getstr), 0);
  tcp_close(pcb);
}
/*-----------------------------------------------------------------------------------*/
static void
killer(void *arg)
{
  int i;
  int num;
  struct ip_addr ipaddr;
  u16_t port;
  struct tcp_pcb *pcb;

  num = *(int *)arg;
  
  IP4_ADDR(&ipaddr, 10,0,1,2);
  port = 80;
  
  for(i = 0; i < num; i++) {
    pcb = tcp_pcb_new();
    if(pcb != NULL) {
      tcp_recv(pcb, recv_pbuf, NULL);
      tcp_connect(pcb, &ipaddr, port, connected, NULL);
    }
  }
}
/*-----------------------------------------------------------------------------------*/
void
killer_init(int n)
{
  num = n;
  sys_timeout(1000, killer, &num);
}
/*-----------------------------------------------------------------------------------*/











